Name:           perl-Pod-Snippets
Version:        0.14
Release:    1%{?dist}
Summary:        Extract and reformat snippets of POD
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Snippets
Source0:        https://cpan.metacpan.org/authors/id/D/DO/DOMQ/Pod-Snippets-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Parser)

%description
This class is a very simple extension of Pod::Parser that extracts POD
snippets from Perl code, and pretty-prints it so as to make it usable from
other Perl code. As demonstrated above, Pod::Snippets is immediately useful
to test-driven-development nutcases who want to put every single line of
Perl code under test, including code that is in the POD (typically a
SYNOPSIS section). There are other uses, such as storing a piece of
information that is both human- and machine-readable (e.g. an XML schema)
simultaneously as documentation and code.

%prep
%setup -q -n Pod-Snippets-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README eg/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-1
- initial build
